Bug 444976 - Dolphin does not generate preview of .heic images
Summary: Dolphin does not generate preview of .heic images
Status: REOPENED
Alias: None
Product: kio-extras
Classification: Frameworks and Libraries
Component: Thumbnails and previews (show other bugs)
Version: 21.12.0
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 452478 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-11-04 19:48 UTC by Patrick Silva
Modified: 2022-11-02 12:54 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
.heic file (286.73 KB, image/heif)
2021-11-04 19:48 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-11-04 19:48:49 UTC
Created attachment 143214 [details]
.heic file

STEPS TO REPRODUCE
1. download the attached .heic file
2. open destination folder with Dolphin
3. enable Preview in Dolphin

OBSERVED RESULT
no preview

EXPECTED RESULT
Dolphin displays preview of the downloaded .heic file

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Graphics Platform: Wayland

ADDITIONAL INFORMATION
Nautilus file manager installed on the same system displays the preview of the same file
Comment 1 Matthew Cohen 2021-12-18 21:16:24 UTC
I'm also having this issue:

Operating System: Arch Linux
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 2 Nicolas Fella 2021-12-19 00:18:50 UTC
This works fine if kimageformats is built with HEIF support, but that is disabled by default: https://invent.kde.org/frameworks/kimageformats/-/merge_requests/16#note_198967
Comment 3 Patrick Silva 2021-12-19 00:46:12 UTC
HEIF support is enabled on Arch Linux (line 28 of kimageformats pkgbuild) and libheif dependency is installed on my system.
https://github.com/archlinux/svntogit-packages/blob/packages/kimageformats/trunk/PKGBUILD
Comment 4 Nicolas Fella 2021-12-19 01:32:45 UTC
You are probably missing https://invent.kde.org/network/kio-extras/-/commit/667f8dd3ee884192602a92429f5fe10f9259303d which was only added after 21.12
Comment 5 Patrick Silva 2021-12-19 01:50:50 UTC
I'm using kio-extras 21.12 on Arch Linux, still no preview in Dolphin.
Comment 6 Patrick Silva 2021-12-19 01:58:29 UTC
Preview is generated on my system if heifthumbnailer from AUR is installed

https://aur.archlinux.org/packages/heifthumbnailer/
Comment 7 Nicolas Fella 2021-12-19 12:56:36 UTC
> I'm using kio-extras 21.12 on Arch Linux, still no preview in Dolphin.

yes, that's expected. It was added *after* 21.12
Comment 8 Patrick Silva 2022-04-10 22:17:13 UTC
*** Bug 452478 has been marked as a duplicate of this bug. ***
Comment 9 Patrick Silva 2022-05-12 14:31:08 UTC
(In reply to Patrick Silva from comment #6)
> Preview is generated on my system if heifthumbnailer from AUR is installed
> 
> https://aur.archlinux.org/packages/heifthumbnailer/

heifthumbnailer package is no longer installed on my system and preview is still working in Dolphin 22.04.1.

kio-extras 22.04.1
Operating System: Arch Linux
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Graphics Platform: Wayland
Comment 10 Sadi 2022-10-05 07:45:33 UTC
This is a problem I've had all the time, and just didn't bother.
I wonder why I still have it although this is declared "Resolved" and "Fixed" here?

Operating System: KDE neon 5.25
KDE Plasma Version: 5.25.5
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.6

kio-extras installed version: 4:22.08.1-0xneon+20.04+focal+release+build62
heif-thumbnailer & libheif1 installed version: 1.6.1-1build1
Comment 11 Yuriy Vidineev 2022-11-02 04:53:01 UTC
Same here, but on KDE Neon 5.26.2 based on Ubuntu 22.04
Comment 12 Patrick Silva 2022-11-02 12:54:36 UTC
Can confirm on neon unstable.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.26.80
KDE Frameworks Version: 5.100.0
Qt Version: 5.15.7
Graphics Platform: Wayland